lvim.builtin.nvimtree.active = false

vim.fn.sign_define("LspDiagnosticsSignError",
        {text = "󰅙 ", texthl = "LspDiagnosticsSignError"})
vim.fn.sign_define("LspDiagnosticsSignWarning",
        {text = "󱇎 ", texthl = "LspDiagnosticsSignWarning"})
vim.fn.sign_define("LspDiagnosticsSignInformation",
        {text = "󰰄 ", texthl = "LspDiagnosticsSignInformation"})
vim.fn.sign_define("LspDiagnosticsSignHint",
        {text = "󰐗 ", texthl = "LspDiagnosticsSignHint"})

require("neo-tree").setup({
  close_if_last_window = false, -- Close Neo-tree if it is the last window left in the tab
  popup_border_style = "rounded",
  enable_git_status = true,
  enable_diagnostics = true,
  open_files_do_not_replace_types = { "terminal", "trouble", "qf" }, -- when opening files, do not use windows containing these filetypes or buftypes
  sort_case_insensitive = false, -- used when sorting files and directories in the tree
  sort_function = nil , -- use a custom function for sorting files and directories in the tree 
        -- sort_function = function (a,b)
        --       if a.type == b.type then
        --           return a.path > b.path
        --       else
        --           return a.type > b.type
        --       end
        --   end , -- this sorts files and directories descendantly
  default_component_configs = {
    indent = {
      with_expanders = true, -- if nil and file nesting is enabled, will enable expanders
    },
    icon = {
      folder_closed = "󰉋",
      folder_open = "󰝰",
      folder_empty = "󰉖",
      default = "*",
      highlight = "NeoTreeFileIcon"
    },
    modified = {
      symbol = "󰧞",
      highlight = "NeoTreeModified",
    },
    name = {
      trailing_slash = false,
      use_git_status_colors = true,
      highlight = "NeoTreeFileName",
    },
    git_status = {
      symbols = {
        -- Change type
        added     = "󰜄", -- or "✚", but this is redundant info if you use git_status_colors on the name
        modified  = "󰑕", -- or "", but this is redundant info if you use git_status_colors on the name
        deleted   = "󰅗",-- this can only be used in the git_status source
        renamed   = "󰛂",-- this can only be used in the git_status source
        -- Status type
        untracked = "󰞋",
        ignored   = "󰿠",
        unstaged  = "󰄱",
        staged    = "󰄵",
        conflict  = "",
      }
    },
  },
})
